using System;
using System.Runtime.InteropServices;

namespace AssessmentSystemApi {
    class SharedMemory {
        [DllImport ("unity_interface")]
        public static extern IntPtr initialize_knowledge_graph();

        [DllImport ("unity_interface")]
        public static extern void release_knowledge_graph(IntPtr memory_ptr);

        [DllImport ("unity_interface")]
        public static extern void reset_knowledge_graph(IntPtr memory_ptr);

        [DllImport ("unity_interface")]
        public static extern uint get_node_count(IntPtr memory_ptr);

        [DllImport ("unity_interface")]
        public static extern uint get_relation_count(IntPtr memory_ptr);

        [DllImport ("unity_interface")]
        public static extern ulong get_last_update(IntPtr memory_ptr);

        [DllImport ("unity_interface")]
        public static extern bool is_empty(IntPtr memory_ptr);


        // Transactions
        [DllImport ("unity_interface")]
        public static extern uint start_transaction(IntPtr memory_ptr);

        [DllImport ("unity_interface")]
        public static extern uint commit_transaction(IntPtr memory_ptr);

        [DllImport ("unity_interface")]
        public static extern uint set_autocommit(bool autocommit, IntPtr memory_ptr);
     }
}