﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class DetectionTriggers : MonoBehaviour
{
    public void HideTriggers()
    {
        var renderers = GetComponentsInChildren<MeshRenderer>();
        foreach (var renderer in renderers)
        {
            renderer.enabled = false;
        }
    }

    public void ShowTriggers()
    {
        var renderers = GetComponentsInChildren<MeshRenderer>();
        foreach (var renderer in renderers)
        {
            renderer.enabled = true;
        }
    }
}
