﻿using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.Events;

public class ObjectDetectionTrigger : MonoBehaviour
{
    public UnityAction<GameObject> OnObjectEnterEvent;
    public UnityAction<GameObject> OnObjectExitEvent;


    private void OnTriggerEnter(Collider other)
    {
        OnObjectEnterEvent?.Invoke(other.gameObject);
    }

    private void OnTriggerExit(Collider other)
    {
        OnObjectExitEvent?.Invoke(other.gameObject);
    }
}
