﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEditor;

[CustomEditor(typeof(DetectionTriggers))]
[CanEditMultipleObjects]
public class DetectionTriggersEditor : Editor
{
    public override void OnInspectorGUI()
    {
        var detectionTriggers = (DetectionTriggers)target;

        GUILayout.Label("TRIGGERS");
        if (GUILayout.Button("Show triggers")) { detectionTriggers.ShowTriggers(); }
        if (GUILayout.Button("Hide triggers")) { detectionTriggers.HideTriggers(); }
    }
}
