﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;


public class LaneTag : MonoBehaviour
{
    [UniqueIdentifier]
    public int id = -1;
    public string name = "Untitled";
    public int speedLimit = 80;

    // Where the lane belongs
    public RoadTag parentRoad = null;

    // Connections to other lanes
    public List<LaneTag> incomingLanes = new List<LaneTag>();
    public List<LaneTag> outgoingLanes = new List<LaneTag>();

    // Road signs belonging to lane
    public List<RoadSignTag> roadSigns = new List<RoadSignTag>();
}
